• Contact Support
  • Banzai support

    Browser Compatibility

    Banzai is built for the web, targeting desktop computers, tablets, and mobile phones. To use Banzai, you must have one of the following browsers installed:

    • Google Chrome (>= 42)
    • Firefox (>= 39)
    • Microsoft Edge (>= 14)
    • Safari (>= 10.1)

    IE11 will be supported for Banzai's schools-based software until September 30, 2020. IE11 is not supported in Direct.

    Schedule a Walk-Through 

    Our Teacher Support team can do a personalized, 15-minute tutorial and answer any questions you might have.

    1
    Schedule a time on this calendar.
    2
    We will call you at the selected time. Just be ready with your questions.